Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4718 - ftpwho command produces erroneous output after wu-ftpd-2.5.0-5.5.x update
Summary: ftpwho command produces erroneous output after wu-ftpd-2.5.0-5.5.x update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-26 09:43 UTC by gbayley
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 12:40:25 UTC


Attachments (Terms of Use)

Description gbayley 1999-08-26 09:43:08 UTC
Following installation of the wu-ftpd-2.5.0-5.5.x package
today regarding the security issue in wu-ftp versions up to
and including 2.5, the ftpwho command now produces erroneous
output, as below.

[root@ausmac gbayley]# ftpwho
Service class all:
warning: `-' deprecated; use `ps f', not `ps -f'
warning: `-' deprecated; use `ps p', not `ps -p'
 7242  ?  S    0:00 ftpd: gzunda.kazoo.com.au: gbayley: IDLE
   -   1 users (no maximum)
[root@ausmac gbayley]#


Although I've not been able to test this out on other
versions of RedHat I imagine the same bug exists in the
version supplied for RedHat 6.0.  It's certainly there in a -
-rebuild constructed RPM file.

Hope this helps,

Grant

Comment 1 Preston Brown 1999-08-27 03:17:59 UTC
argh, this is because "LINUX_BUT_NOT_REDHAT_6_0" wasn't defined when
building for 5.x and 4.2.  It works fine on 6.0 and later.

I think this merits a rebuild, unfortunately.


Note You need to log in before you can comment on or make changes to this bug.